> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new Inventory-IN request ready to be Submitted in a subsequent step



## OpenAPI

````yaml /openapi.json post /api/v1/Transfers/INs
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Transfers/INs:
    post:
      tags:
        - Transfers
      summary: >-
        Creates a new Inventory-IN request ready to be Submitted in a subsequent
        step
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInventoryInRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringListServiceResult'
components:
  schemas:
    CreateInventoryInRequest:
      required:
        - deliveryMethodCode
        - expectedDate
        - referenceNumber
        - supplierId
      type: object
      properties:
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        warehouseCode:
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          nullable: true
        referenceNumber:
          minLength: 1
          type: string
          description: >-
            Create any ID you wish. This ID will be needed in the SUBMIT or
            DELETE phase
        deliveryMethodCode:
          minLength: 1
          type: string
          description: "The way this items is delivered (Code)\r\n\r\n     WD_PICKUP - If set, then PickupSiteId is required\r\n     CLIENT_DROPOFF - If set then PickupSiteId must be empty"
        pickupSiteId:
          type: integer
          description: >-
            If the DeliveryMethodCode is WD_PICKUP then PickupSiteId is
            required. To get this code, use the API Help page, and select the
            'Seller'.
          format: int32
          nullable: true
        expectedDate:
          type: string
          description: When is the item expected
          format: date-time
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/CreateInventoryInLineItemRequest'
          nullable: true
      additionalProperties: false
    StringListServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            type: string
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    CreateInventoryInLineItemRequest:
      required:
        - subInventoryCode
        - supplierSku
      type: object
      properties:
        supplierSku:
          minLength: 1
          type: string
          description: The Supplier's SKU for this item.
        subInventoryCode:
          minLength: 1
          type: string
          description: "The Sub Inventory this inventory is in (Code)\r\nTo get this code, use the API Help page, and select the 'Seller' and 'Warehouse'."
        qty:
          type: integer
          description: The quantity that are being moved IN
          format: int32
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````